@import "../partials/dependencies";



$font-family:'Roboto', sans-serif;

$template-inner-width:1000px;
$content-width:$template-inner-width;
$content-margin:0 auto;

$primary-color:#005e87;
$secondary-color:#a13f32;
$tertiary-color:#005e87;
$border-color:#5f5a56;

$container-shadow:none;
$container-border:medium none color;
$container-padding:0 0 40px;

$logo-url:  "";
$logo-width:100%;
$logo-height:21px;
$logo-wrapper-width:$template-inner-width;
$logo-wrapper-margin:0 auto;

$title-font-family:$font-family;
$title-font-weight:500;
$title-bg-color:white;
$title-text-color:black;
$title-font-size:1.5rem;
$title-height:26px;
$title-line-height:26px;
$title-border-bottom:none;

$button-in-title-color:black;
$button-in-title-bg-hover:#eee;
$button-in-title-icon-color:black;

$header-height:145px;
$header-padding:43px 0 0px;
$header-bg:$primary-color;

$heading-text-transform:default;

$heading1-font-family:$font-family;
$heading1-weight:500;
$heading1-fontsize:1.5rem;


$heading2-fontsize: 1.2em;
$heading2-color:$primary-color;
$heading2-weight: 500;
$heading2-font-family:$font-family;

$button-primary-bg:$primary-color;


$border-radius:2px;

$anchor-color:black;
$anchor-color-hover:$primary-color;
$anchor-text-decoration:underline;
$anchor-text-decoration-hover:underline;

$font-size:93.75%;
$template-width:100%;

$pip-nav-background-color:white;
$pip-nav-border-color:transparent;
$pip-nav-border-width:3px;
$pip-nav-border-color-active:$tertiary-color;
$pip-nav-bg-active:transparent;
$pip-nav-bg-hover:transparent;
$pip-nav-anchor-color:#fff;
$pip-nav-anchor-color-active:#fff;
$pip-progress-bar-bg:$secondary-color;
$pip-nav-font-weight:400;
$toggle-pip-nav-color:#000;

$pip-progress-bar-bg:lighten($primary-color,35%);

$pip-phase-title-bg:#eee;

$stap-active-bg-color:$primary-color;
$icon-question-sign-color:#5c7f31;

$breakpoint-small-screen:640px;
$breakpoint-mobile:$template-inner-width;

@import "template-normalize";
@import "basic-template";
@import "template-defaults";
@import "button-reset";
@import "template-media-queries";
@import "pip-nav-reset";

.pip-nav ul li a i {
  display: inline-block!important;
}

input[type=email], input[type=number], input[type=password], input[type=text], input[type=url], textarea, .pip input[type=text] {
    border-color: #919191!important;
}

a:focus {
    outline: black solid 2px!important;
}


.spot-enlighter-clear {
	color: #fff!important;
}

input[type=number]:hover, input[type=password]:hover, input[type=text]:hover, textarea:hover {
    border-color: #484848!important;
}


.row-actions .icon-font-awesome, .row-actions .mdi, .row-actions a .icon-font-awesome {
	color: #4F575A;
}

header{
 background-color: #005E87;
	background-repeat:no-repeat;
	background-position: center center;
	position: relative;
}

ul#pip-nav-menu li.current a {
  border-bottom: 4px solid #004664!important;
}

.pip-nav ul li a {
  color: #CAD9DF;
}

.pip-nav ul li a:hover {
  border-bottom: 4px solid #004664!important;
  opacity: 1;
}


.header-actions.right {
  display: flex;
  justify-content: flex-end;
}

#container{
	min-height: -webkit-calc(100% - 100px);     /* Chrome */
	min-height: -moz-calc(100% - 100px);     /* Firefox */
	min-height: calc(100% - 100px);     /* native */
}

#main{
	padding: 0 20px;
}

.logo{
	text-indent:0;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #565656!important;
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #565656!important;
}

::-ms-input-placeholder { /* Microsoft Edge */
  color: #565656!important;
}

.pip-case-progress .pip-case-progress-message {
  margin: 0 0 3px 0;
  color: #767676;
}

.pip .kenmerk-empty, .pip-overview-block-title em {
  color: #767676;
}

.logo a{
	width:$logo-width;
	height:$logo-height;
	font-family: 'Roboto Condensed', sans-serif;
	display: block;
	margin:0 auto;
	font-size:2rem;
	color:#fff;
	text-transform: uppercase;
	font-weight: bold;
	text-decoration: none;
	-webkit-font-smoothing:antialiased;
	text-align: center;
	span{
		font-size:1rem;
		font-family: 'Roboto', sans-serif;
		font-style: italic;
		text-transform: none;
		display: block;
		line-height: 1;
	}
	hr{
		margin:0;
		border:none;
		//border-bottom: 2px solid $tertiary-color;
		height:2px;
		width:170px;
		margin:0 auto 3px;
		background:$tertiary-color;
	}
}

a:hover{
	cursor: pointer !important;
}

.blockcontent{
	margin-bottom:30px;
}

.form-navigation{
	position: relative;
	top:-1px;
}

.pip-nav{
	ul{
		text-align: center;
			li{
			float:none !important;
			display: inline-block !important;
			&.current a{
				border-bottom: 3px solid $tertiary-color !important;
				opacity:1;
			}
			&.right{
				display: inline-block !important;
				position: absolute;
				right:-5px;
				top:0px;
				a{
					i{
						display: block;
						font-size:1.6em;
					}
					span{
						display: none;
					}
				}
			}
			a{
				padding:10px 15px;
				text-transform: uppercase;
				font-size:.85rem;
				letter-spacing: .5px;
				margin:0;
				i{
					display: none;
				}
				&:hover{
					border-color:transparent;
					opacity: 1;
				}
			}
		}
	}
}

.header-actions .button{
	i,.button-text{
		vertical-align: middle;
	}
}

.webform .block-header{
	border-bottom:none;
}

.block.succes > .block-header{
	padding-left: 0.1em;
    padding-right: 0.1em;
}

.header{
	display: flex !important;
	display:-ms-flex !important;
  height: auto;
}

.block-header-inner{
  display: flex !important;
  display: -ms-flex !important;
  flex-direction: column;
  width: 100%;
  margin-top: 20px;
  margin-bottom: 20px;
}

h1.header-title{
	flex-grow:1;
	-ms-flex: 1 0 auto;
	width:auto !important;
	float:none !important;
}



.header-actions{
	.button{
		padding-right:5px;
		padding-left:5px;
		border-radius: 5px;
		i{
			margin:0 !important;
		}
	}
	.button-text{
		display: none;
	}
	&.right{
		float:none !important;
	}
}

	.pip-content{
		padding:20px 0 0 !important;
	}

.pip-login{
	padding-top:0;
}

.pip-header{
	height:170px;
}

.pip{
	margin-top:-36px;
}

.pip-header-login + #main .pip{
	margin-top:0;
}

.pip-case-form-phase-title{
	color:#444;
}

.public-search .widget-search-result-header-left button{
	color:#000;
	font-weight: 500;
	font-size:1.25em;
}

footer{
	vertical-align: middle;
	padding:1.5em 0;
	text-align: center;
	position: relative;
	background:#f5f5f5;
	clear:both;
	a,address,i,.logo{
		color:#707070;
		vertical-align: middle;
		display: inline-block;
	}
	.logo{
		width:auto;
		margin:auto;
		display: inline-block;
		margin-right:15px;
		a{
			color:#707070;
			font-size:1.3rem;
		}
	}
	address{
		display: inline-block;
		font-style: normal;
		margin-left:15px;
		font-size:.9em;
		vertical-align: middle;
	}
	.mdi{
		font-size:1.4em;
		margin:0 3px;
	}
	img{
		width:16px;
		height:16px;
		vertical-align: middle;
		margin-right:5px;
	}
	.address-divider{
		margin:0 3px;
	}
}

@media only screen and (max-width: $breakpoint-mobile) {

	header{
		height:80px;
		padding-top:21px;
	}

	.pip-header{
		height:80px;
	}

	.pip{
		margin-top:-60px;
	}

	.logo a{
		font-size:1.5rem;
		span{
			//display: none;
			font-size:.9rem;
			display: block;
			line-height: 1;
		}
		hr{
			width:125px;
			display: none;
		}
	}




 @media only screen and (max-width: 1000px) {
.header h1.header-title {
    padding-right: 109px!important;
    overflow: auto!important;
    white-space: normal!important;
}
.toggle-pip-nav button i.mdi {
  font-size: 2rem;
  margin-left: -10px;
  color: #fff;
}
#toggle:checked + div button {
  position: absolute!important;
  margin-top: -1px!important;
}
ul#pip-nav-menu li.current a {
  border-bottom: 2px solid #cdcdcd !important;
  background: #f1f1f1;
}


.pip-nav ul li.current a {
  color: #000!important;
}
.pip-nav ul li a i {
  display: inline-block!important;
  margin-left: -4px!important;
  margin-top: -1px;
}
}

@media only screen and (min-width: 1000px) {
.pip-nav ul li a i, ul#pip-nav-menu li a i {
  display: inline-block!important;
}}


	.header,
	.header h1,
	.block > .header > .header-actions{
		height:inherit;
		line-height: 23px!important;
	}



	#main,
	.logo{
		width:100%;
		padding:0 2%;
		@include box-sizing(border-box);
	}

	.blockcontent,
	.block-content{
		padding:0 !important;
	}

  .block .block-header .header-actions {
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }

	.block .block-header .header-actions .button-secondary i{
		font-size:1.6em;
	}

	.pip-nav ul li.current a,
	.pip-nav ul li a:hover{
		border-bottom:none!important;
		margin:0;
	}

	.pip-nav{
		margin:0 -2%;
		 ul li{
		 	&.current{
		 		
		 		a{
			 		color:#000;
			 		border-bottom:none !important;
			 	}
		 	} 
		 	&.right{
				position: static;
				a{
					i{display: none;}
					span{display: inline-block;}
				}
			}
		 	a{
				padding:15px 20px;
				text-align: left;
				font-size:1.25em;
				color:#000;
				i{
					min-width:40px;
					text-align: center;
				}
				&:hover{
					color:#000;
				}
			}
		}
	}

	.toggle-pip-nav{
		padding:.3em 1em 1em 1.5em;
		color:#fff;
	}

	.toggle-pip-nav-text{
		display: none;
	}

	#toggle:checked + div button{
		background: none;
		position: relative;
		z-index:2;
	}

	#toggle:checked + div button .mdi{
		color:#fff;
		position: fixed;
	}

	.pip-nav-menu{
		padding:80px 0 0 !important;
		background:#fff;
		right:0;
		top:0;
		left:0;
		bottom:0;
		z-index:1;
	}

	footer{
		.logo{
			margin-right:10px;
			padding:0;
		}
		address{
			display: block;
			margin-top:15px;
		}
	}

}

@media only screen and (max-width: $breakpoint-small-screen) {

	.form-navigation .stap{
		font-size:.85rem;
		height:20px;
		line-height: 20px;
	}

	.form-navigation .stap:before {
		border-width: 18px;
		margin-top: -18px;
		right: -38px;
	}

	.form-navigation .stap:after{
		border-width: 15px;
		margin-top: -15px;
		right:-30px;
	}

}

.row .column, .row .columns{
	padding-right:0;
	padding-left:0;
}
